<cfsilent>
<!--- attributes.calendarLinkPage - the page that the user is taken to when they click an event --->
<cfparam name="Attributes.calendarLinkPage" type="string" default="" />
<!--- attributes.ExcludeTimeHeader - boolean to specifiy if the header on the calendar for times is displayed --->
<cfparam name="Attributes.ExcludeTimeHeader" type="boolean" default="no" />
<!--- attributes.KalendarRequest  contains the request based data and rules for Kalendar. --->
<cfparam name="Attributes.KalendarRequest" type="any" />
<!--- attributes.urlAddString - a URL string to add to the calendarLinkPage attribute --->
<cfparam name="Attributes.urlAddString" type="string" default="" />
<!--- attributes.view - defines which display mode to show: day, week, weeklist, month, condensed --->
<cfparam name="Attributes.view" type="string" default="list" />

<!--- Config --->
<cfset CategoriesRS = attributes.KalendarRequest.getCategoriesRS() />
<cfset EventRecords = attributes.KalendarRequest.getReturnedEvents()>
<cfset KalendarConfig = attributes.KalendarRequest.getKalendarConfig() />
<cfset LinkDate = attributes.KalendarRequest.getLinkDate() />

<cfset FirstDateOfWeek = attributes.KalendarRequest.getFirstDisplayDateOfMonth() />
<cfset FirstWeekOfMonth = attributes.KalendarRequest.getFirstWeekOfMonth() />
<cfset LastWeekOfMonth = attributes.KalendarRequest.getLastWeekOfMonth() />
</cfsilent>

<table style="border-collapse: collapse; padding: 0; margin: 0;">
<tr>
<td style="border-collapse: collapse; padding: 0; margin: 0;">
<table class="calendarNavTable" id="navbartop">
<tr>
	<td class="calendarNav">
	<cfform method="post" action="#cgi.SCRIPT_NAME#" id="dateSelector" class="allForms">
	<div><input type="hidden" name="view" value="month" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.KalendarRequest.getCategoryID()#</cfoutput>" />
	<input type="hidden" name="LinkDate" value="" />
	<cfoutput>
	<select name="LinkMonth" class="calendarSelectBoxes" onchange="changeDate();">
		<option value="1"<cfif Month(LinkDate) eq 1> selected="selected"</cfif>>January</option>
		<option value="2"<cfif Month(LinkDate) eq 2> selected="selected"</cfif>>February</option>
		<option value="3"<cfif Month(LinkDate) eq 3> selected="selected"</cfif>>March</option>
		<option value="4"<cfif Month(LinkDate) eq 4> selected="selected"</cfif>>April</option>
		<option value="5"<cfif Month(LinkDate) eq 5> selected="selected"</cfif>>May</option>
		<option value="6"<cfif Month(LinkDate) eq 6> selected="selected"</cfif>>June</option>
		<option value="7"<cfif Month(LinkDate) eq 7> selected="selected"</cfif>>July</option>
		<option value="8"<cfif Month(LinkDate) eq 8> selected="selected"</cfif>>August</option>
		<option value="9"<cfif Month(LinkDate) eq 9> selected="selected"</cfif>>September</option>
		<option value="10"<cfif Month(LinkDate) eq 10> selected="selected"</cfif>>October</option>
		<option value="11"<cfif Month(LinkDate) eq 11> selected="selected"</cfif>>November</option>
		<option value="12"<cfif Month(LinkDate) eq 12> selected="selected"</cfif>>December</option>
	</select>
	</cfoutput>
	&nbsp;<select name="LinkYear" class="calendarSelectBoxes" onchange="changeDate();">
	<cfloop index="LoopCount" from="-7" to="50">
		<cfset OptionYear = Year(LinkDate) + LoopCount>
		<cfoutput><option value="#OptionYear#"<cfif NOT LoopCount> selected="selected"</cfif>>#OptionYear#</option></cfoutput>
	</cfloop>
	</select></div></cfform></td>
	<td class="calendarNav">
	<cfif Month(Now()) neq Month(LinkDate)>
	<cfform action="#cgi.SCRIPT_NAME#" method="post" id="viewmonth" class="allForms">
	<cfoutput>
	<div><input type="hidden" name="LinkDate" value="#DateFormat(Now(), 'm/d/yyyy')#" id="Link2Date" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.KalendarRequest.getCategoryID()#</cfoutput>" />
	<input type="hidden" name="View" value="Month" />
	<input type="submit" name="submit" value=" current month " class="calendarButtons" /></cfoutput></div></cfform></cfif></td>
	<td class="calendarNav" style="text-align: right;">
	<cfform action="#cgi.SCRIPT_NAME#" method="post" id="viewchange" class="allForms">
	<cfoutput>
	<div><input type="hidden" name="LinkDate" value="#LinkDate#" id="Link3Date" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.KalendarRequest.getCategoryID()#</cfoutput>" />
	<select name="view" class="calendarSelectBoxes" onchange="document.getElementById('viewchange').submit();">
		<option value="day">day</option>
		<option value="week">week</option>
		<option value="weeklist">week list</option>
		<option value="month" selected="selected">month</option>
		<option value="list">condensed</option>
	</select></cfoutput></div></cfform></td>
	<td class="calendarNav" style="text-align: right;">
	<cfform method="post" action="#cgi.script_name#" id="categoryChange" class="allForms">
	<div><input type="hidden" name="linkdate" value="<cfoutput>#LinkDate#</cfoutput>" id="linkdate" />
	<input type="hidden" name="view" value="<cfoutput>#attributes.view#</cfoutput>" />
	<select name="categoryID" class="calendarSelectBoxes" onchange="document.getElementById('categoryChange').submit();">
		<cfoutput query="CategoriesRS">
		<option value="#categoryID#"<cfif attributes.KalendarRequest.getCategoryID() eq categoryID> selected</cfif>>#left(categoryName, 25)#</option>
		</cfoutput>
		<option value="0"<cfif attributes.KalendarRequest.getCategoryID() eq 0> selected</cfif>>all</option>	
	</select></div></cfform></td>
</tr>
</table>
</td>
</tr>
<tr>
<cfoutput>
<td style="border-collapse: collapse; padding: 0; margin: 0;">
<!---- MAIN MONTHLY CALENDAR DISPLAY ---->
<table class="calendarTable">
<tr>
	<td class="eventDayName">Sun</td>
	<td class="eventDayName">Mon</td>
	<td class="eventDayName">Tue</td>
	<td class="eventDayName">Wed</td>
	<td class="eventDayName">Thu</td>
	<td class="eventDayName">Fri</td>
	<td class="eventDayName">Sat</td>
</tr>
</cfoutput>
<cfset popupName = 0 />

<cfloop index="LoopWeek" from="#FirstWeekOfMonth#" to="#LastWeekOfMonth#">
<tr>
	<cfloop index="LoopIndex" from="0" to="6">
	<cfset thisDay = DateAdd('d', LoopIndex, FirstDateOfWeek) />
	<cfoutput>
	<td class="eventDayHeader"><cfif Month(CreateODBCDate(thisDay)) eq Month(LinkDate)>#Day(thisDay)#<cfelse>&nbsp;</cfif></td>
	</cfoutput>
	</cfloop>
</tr>
<!--- Output week --->
<tr>
<cfloop index="LoopIndex" from="0" to="6">
	<cfset thisDay = DateAdd('d', LoopIndex, FirstDateOfWeek) />
	<td class="eventDay">
	<cfloop index="i" from="1" to="#ArrayLen(EventRecords)#">
	<cfif Month(CreateODBCDate(thisDay)) eq Month(LinkDate)>
	<cfoutput>
	<cfif Month(CreateODBCDate(eventRecords[i].StartDate)) eq Month(LinkDate) OR Month(CreateODBCDate(eventRecords[i].EndDate)) eq Month(LinkDate)>
	<cfif CreateODBCDate(eventRecords[i].StartDate) lte CreateODBCDate(DateAdd('d', LoopIndex, FirstDateOfWeek))>
	<cfif CreateODBCDate(eventRecords[i].EndDate) gte CreateODBCDate(DateAdd('d', LoopIndex, FirstDateOfWeek))>
	<div class="eventdiv">
	<div class="timeHeader<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate> spandays</cfif>">
	<cfif len(trim(eventRecords[i].StartTime))>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate>
		<cfif eventRecords[i].StartDate eq thisDay>
			#DateFormat(eventRecords[i].StartDate, 'm/d')# #TimeFormat(eventRecords[i].StartTime, 'h:mm tt')#
		</cfif>
	<cfelse> 
	#TimeFormat(eventRecords[i].StartTime, 'h:mm tt')#
	</cfif>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate>
		<cfif eventRecords[i].StartDate neq thisDay>
		End #DateFormat(eventRecords[i].EndDate, "m/d")#
			<cfif len(trim(eventRecords[i].EndTime))> 
				#TimeFormat(eventRecords[i].EndTime, 'h:mm tt')#
			</cfif>
		</cfif>
	</cfif>
	<cfelse>
	all day event
	</cfif>
	</div>
	<cfsilent>
	<cfset variables.tooltipHeader = DateFormat(eventRecords[i].StartDate,  "mmmm") & " " & Day(eventRecords[i].StartDate) />
	<cfif len(trim(eventRecords[i].StartTime))>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;&nbsp;" & TimeFormat(eventRecords[i].StartTime, 'h:mm tt') />
	</cfif>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;-&nbsp;&nbsp;" & DateFormat(LinkDate,  "mmmm") & " " & DateFormat(eventRecords[i].EndDate, "d") />
	</cfif>
	<cfif len(trim(eventRecords[i].EndTime))>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;&nbsp;" & TimeFormat(eventRecords[i].EndTime, 'h:mm tt') />
	</cfif>
	<cfset variables.tooltipHeader = variables.tooltipHeader & ":<br />" & Left(Trim(eventRecords[i].Title), KalendarConfig.getToolTipSubLength()) />
	<cfif len(eventRecords[i].Teaser)>
		<cfset variables.tooltipBody = Left(eventRecords[i].Teaser, KalendarConfig.getMaxDescriptionSize()) />
		<cfif Len(eventRecords[i].Teaser) gt KalendarConfig.getMaxDescriptionSize()>
			<cfset variables.tooltipBody = variables.tooltipBody & " ..." />
		</cfif>
	<cfelse>
		<cfset variables.tooltipBody = Left(eventRecords[i].Description, KalendarConfig.getMaxDescriptionSize()) />
		<cfif Len(eventRecords[i].Description) gt KalendarConfig.getMaxDescriptionSize()>
			<cfset variables.tooltipBody = variables.tooltipBody & " ..." />
		</cfif>
	</cfif>
	</cfsilent>
	<div <cfif len(trim(eventRecords[i].Teaser)) OR len(trim(eventRecords[i].Description))>title="header=[#HTMLEditFormat(variables.tooltipHeader)#] body=[#HTMLEditFormat(variables.tooltipBody)#] cssbody=[calendarTooltipSub] cssheader=[calendarTooltip]"</cfif> class="eventDisplay"<cfif KalendarConfig.getUseCategoryColors() AND Len(Trim(eventRecords[i].CategoryBGColor))> style="background-color: ###eventRecords[i].CategoryBGColor#;"</cfif>>
	<a href="#attributes.calendarLinkPage#?#eventRecords[i].EventIDLabel#=#eventRecords[i].EventID#&amp;View=#attributes.View#&amp;linkDate=#UrlEncodedFormat(LinkDate)#<cfif len(attributes.urlAddString)>#attributes.urlAddString#</cfif>" class="eventDisplay"<cfif KalendarConfig.getUseCategoryColors() AND Len(Trim(eventRecords[i].CategoryTextColor))> style="color: ###eventRecords[i].CategoryTextColor#;"</cfif>>#Trim(eventRecords[i].Title)#</a>
	<div style="display:none;" class="vevent">
	<span class="dtstamp">#DateFormat(Now(), "yyyy-mm-dd")#T#TimeFormat(Now(), "HH:mm:ss")#</span>
	<span class="summary title">#Trim(eventRecords[i].Title)#</span>
	<a href="http://#cgi.server_name#/#attributes.calendarLinkPage#?#eventRecords[i].EventIDLabel#=#eventRecords[i].EventID#&amp;View=#attributes.View#&amp;linkDate=#UrlEncodedFormat(LinkDate)#<cfif len(attributes.urlAddString)>#attributes.urlAddString#</cfif>" class="url">Event Link</a>
	<div class="description">#eventRecords[i].Description#</div>
	<span class="dtstart" title="#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#<cfif Len(Trim(eventRecords[i].StartTime))>T#TimeFormat(eventRecords[i].StartTime, "HH:mm:ss")#</cfif>">#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#<cfif Len(Trim(eventRecords[i].StartTime))>T#TimeFormat(eventRecords[i].StartTime, "HH:mm:ss")#</cfif></span>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate AND eventRecords[i].StartTime neq eventRecords[i].EndTime><span class="dtend" title="<cfif eventRecords[i].EndDate neq eventRecords[i].StartDate>#DateFormat(eventRecords[i].EndDate, "yyyy-mm-dd")#<cfelse>#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#</cfif><cfif Len(Trim(eventRecords[i].EndTime))>T#TimeFormat(eventRecords[i].EndTime, "HH:mm:ss")#</cfif>"><cfif eventRecords[i].EndDate neq eventRecords[i].StartDate>#DateFormat(eventRecords[i].EndDate, "yyyy-mm-dd")#<cfelse>#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#</cfif><cfif Len(Trim(eventRecords[i].EndTime))>T#TimeFormat(eventRecords[i].EndTime, "HH:mm:ss")#</cfif></span></cfif>
	</div>
	</div>
	</cfif>
	</cfif>
	</cfif>
	</div>
	</cfoutput>
	<cfelse>
	&nbsp;</cfif></cfloop></td>
</cfloop>
</tr>
<cfset FirstDateOfWeek = CreateODBCDate(DateAdd('d', 7, FirstDateOfWeek)) />
</cfloop>
</table>
</td>
</tr>
<tr>
<td style="border-collapse: collapse; padding: 0; margin: 0;">
<!--- MONTH: Bottom navigation --->
<table class="calendarNavTable" id="navbarbottom">
<tr>
	<td class="calendarNav">
	<cfform action="#cgi.SCRIPT_NAME#" method="post" id="dateSelector2" class="allForms">
	<div><input type="hidden" name="view" value="month" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.KalendarRequest.getCategoryID()#</cfoutput>" />
	<input type="hidden" name="LinkDate" value="" />
	<cfoutput>
	<select name="LinkMonth" class="calendarSelectBoxes" onchange="changeDate2();">
		<option value="1"<cfif Month(LinkDate) eq 1> selected="selected"</cfif>>January</option>
		<option value="2"<cfif Month(LinkDate) eq 2> selected="selected"</cfif>>February</option>
		<option value="3"<cfif Month(LinkDate) eq 3> selected="selected"</cfif>>March</option>
		<option value="4"<cfif Month(LinkDate) eq 4> selected="selected"</cfif>>April</option>
		<option value="5"<cfif Month(LinkDate) eq 5> selected="selected"</cfif>>May</option>
		<option value="6"<cfif Month(LinkDate) eq 6> selected="selected"</cfif>>June</option>
		<option value="7"<cfif Month(LinkDate) eq 7> selected="selected"</cfif>>July</option>
		<option value="8"<cfif Month(LinkDate) eq 8> selected="selected"</cfif>>August</option>
		<option value="9"<cfif Month(LinkDate) eq 9> selected="selected"</cfif>>September</option>
		<option value="10"<cfif Month(LinkDate) eq 10> selected="selected"</cfif>>October</option>
		<option value="11"<cfif Month(LinkDate) eq 11> selected="selected"</cfif>>November</option>
		<option value="12"<cfif Month(LinkDate) eq 12> selected="selected"</cfif>>December</option>
	</select>
	</cfoutput>
	&nbsp;<select name="LinkYear" class="calendarSelectBoxes" onchange="changeDate2();">
	<cfloop index="LoopCount" from="-7" to="50">
	<cfset OptionYear = Year(LinkDate) + LoopCount />
		<cfoutput><option value="#optionyear#"<cfif not loopcount>  selected="selected"</cfif>>#optionyear#</option></cfoutput></cfloop>
	</select></div></cfform></td>
	<td class="calendarNav">
	<cfif Month(Now()) neq Month(LinkDate)>
	<cfform action="#cgi.SCRIPT_NAME#" method="post" id="viewmonth" class="allForms">
	<cfoutput>
	<div><input type="hidden" name="LinkDate" value="#DateFormat(Now(), 'm/d/yyyy')#" id="Link4Date" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.KalendarRequest.getCategoryID()#</cfoutput>" />
	<input type="hidden" name="View" value="Month" />
	<input type="submit" name="submit" value=" current month " class="calendarButtons" /></cfoutput></div></cfform></cfif></td>
	<td class="calendarNav" style="text-align: right;">
	<cfform action="#cgi.SCRIPT_NAME#" method="post" id="viewchange2" class="allForms">
	<cfoutput>
	<div><input type="hidden" name="LinkDate" value="#LinkDate#" id="Link5Date" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.KalendarRequest.getCategoryID()#</cfoutput>" />
	<select name="view" class="calendarSelectBoxes" onchange="document.getElementById('viewchange2').submit();">
		<option value="day">day</option>
		<option value="week">week</option>
		<option value="weeklist">week list</option>
		<option value="month" selected="selected">month</option>
		<option value="list">condensed</option>
	</select></cfoutput></div></cfform></td>
	<td class="calendarNav" style="text-align: right;">
	<cfform method="post" action="#cgi.script_name#" id="categoryChange" class="allForms">
	<div><input type="hidden" name="linkdate" value="<cfoutput>#LinkDate#</cfoutput>" id="linkdate" />
	<input type="hidden" name="view" value="<cfoutput>#attributes.view#</cfoutput>" />
	<select name="categoryID" class="calendarSelectBoxes" onchange="document.getElementById('categoryChange').submit();">
		<cfoutput query="CategoriesRS">
		<option value="#categoryID#"<cfif attributes.KalendarRequest.getCategoryID() eq categoryID> selected</cfif>>#left(categoryName, 25)#</option>
		</cfoutput>
		<option value="0"<cfif attributes.KalendarRequest.getCategoryID() eq 0> selected</cfif>>all</option>	
	</select></div></cfform></td>
</tr>
</table>
</td>
</tr>
</table>