<!--- Factory Example: --->
<cfset KalendarService = LightWire.getTransient("KalendarService") />

<!--- LightWire Config --->
<cfset addTransient("#cfg.CFCPath#.KalendarService", "KalendarService") />
<cfset addConstructorDependency("KalendarService", "CommandConfig") />
<cfset addSetterDependency("KalendarService", "KalendarDAO") /> 		
<cfset addSetterDependency("KalendarService", "CategoryDAO") /> 		
			

<!--- Using a composed objects --->
<cffunction name="loadEvent" output="false" access="public" returntype="any" hint="I load the passed Kalendar Event object">
	<cfargument name="KalendarEvent" type="any" required="true"/>
	<cfset getKalendarDAO().read( arguments.KalendarEvent ) />
	<cfreturn arguments.KalendarEvent />
</cffunction>	