<cfsilent>
	<cfparam name="URL.AppAction" default="displayCalendar">
	<!--- Add  defaults to this default struct. Values will override user input, URL and FORM scopes --->
	<cfset defaultStruct = structNew() >
	<cfset defaultStruct.isAdminMode = true />

	<!--- Load Model --->
	<cfset LightWire = createobject("component", "Kalendar.common.cfc.LightWire" ).init( createobject("component", "Kalendar.common.cfc.config.LightWireConfig" ).init("\kalendar\common\cfc\config\settings.ini.cfm") ) >
	<cfset KalendarService = LightWire.getTransient("KalendarService") />
	<cfset KalendarRequest = LightWire.getTransient("KalendarRequest").init( argumentcollection=KalendarService.loadInput( URL, Form, defaultStruct ) ) />
	<cfset KalendarEvent = LightWire.getTransient("KalendarEvent").init( argumentcollection=KalendarService.loadInput( URL, Form, defaultStruct ) ) />
	<cfset KalendarConfig = LightWire.getTransient("KalendarConfig") />
	<cfset UserMsg = LightWire.getTransient("UserMsg") />
	
	<cfif KalendarConfig.getUseFCKEditor() is true>
		<cfset FCKEditor = LightWire.getTransient("FCKEditor") />
	</cfif>

</cfsilent>
<cfinclude template="header.cfm">

<cfswitch expression="#KalendarRequest.getAppAction()#">
	
	<cfcase value="ProcessEventForm,ShowEventForm,addRecord,editRecord" delimiters=",">
		<cfif KalendarRequest.getAppAction() IS "editRecord">
			<cfset KalendarEvent = KalendarService.loadEvent( KalendarEvent )/> 	
		</cfif>
		<cfinclude template="display_form.cfm" />
	</cfcase>
	
	<cfcase value="displayCalendar">
		<cfinclude template="display_records.cfm" />
	</cfcase>

	<cfcase value="displayImportForms,displayImportData" delimiters=",">
		<cfinclude template="importer.cfm" />
	</cfcase>
	
	<cfcase value="importData">
		<cfloop index="x" from="1" to="#arraylen(session.results)#">
			<cfif StructKeyExists(form, x)>
				<cfinvoke component="#KalendarConfig.getCFCPath()#kalendar" method="createRecord" returnvariable="returnMessage">
					<cfinvokeargument name="EventID" value="#CreateUUID()#" />
					<cfinvokeargument name="CategoryID" value="#KalendarConfig.getDefaultCategoryID()#" />
					<cfinvokeargument name="IsFeatured" value="0" />
					<cfinvokeargument name="IsPublished" value="1" />
					<cfinvokeargument name="StartDate" value="#KalendarService.formatShortDate(session.results[x].StartDate)#" />
					<cfinvokeargument name="EndDate" value="#KalendarService.formatShortDate(session.results[x].EndDate)#" />
					<cfinvokeargument name="StartTime" value="#KalendarService.formatShortTime(session.results[x].StartTime)#" />
					<cfinvokeargument name="EndTime" value="#KalendarService.formatShortTime(session.results[x].EndTime)#" />
					<cfinvokeargument name="Title" value="#session.results[x].Title#" />
					<cfinvokeargument name="Location" value="" />
					<cfinvokeargument name="ExternalURL" value="" />
					<cfinvokeargument name="ContactName" value="" />
					<cfinvokeargument name="ContactEmail" value="" />
					<cfinvokeargument name="ContactPhone" value="" />
					<cfinvokeargument name="Teaser" value="" />
					<cfinvokeargument name="Description" value="#session.results[x].Description#" />
				</cfinvoke>
			</cfif>
		</cfloop>
		<cfset StructDelete(session, "results") />
		Import Complete. It is recommended that you review your imported items to verify that they match the format you expect.
	</cfcase>
</cfswitch>

<cfinclude template="footer.cfm">