<cfsilent>
	<cfparam name="URL.AppAction" default="displayCalendar">
	<!--- Add  defaults to this default struct. Values will override user input, URL and FORM scopes --->
	<cfset defaultStruct = structNew() >
	<cfset defaultStruct.isAdminMode = true />

	<!--- Load Model --->
	<cfset LightWire = createobject("component", "Kalendar.common.cfc.LightWire" ).init( createobject("component", "Kalendar.common.cfc.config.LightWireConfig" ).init("\kalendar\common\cfc\config\settings.ini.cfm") ) >
	<cfset KalendarService = LightWire.getTransient("KalendarService") />
	<cfset KalendarRequest = LightWire.getTransient("KalendarRequest").init( argumentcollection=KalendarService.loadInput( URL, Form, defaultStruct ) ) />
	<cfset KalendarEvent = LightWire.getTransient("KalendarEvent").init( argumentcollection=KalendarService.loadInput( URL, Form, defaultStruct ) ) />
	<cfset KalendarConfig = LightWire.getTransient("KalendarConfig") />
	<cfset UserMsg = LightWire.getTransient("UserMsg") />
	
	<cfif KalendarConfig.getUseFCKEditor() is true>
		<cfset FCKEditor = LightWire.getTransient("FCKEditor") />
	</cfif>
	<cfset viewPage = "display_records.cfm" />

	<cfif listFindNoCase( "ProcessEventForm,ShowEventForm,addRecord,editRecord", KalendarRequest.getAppAction() )>
		<cfset viewPage = "display_form.cfm" />
	<cfelseif listFindNoCase( "displayImportForms,displayImportData", KalendarRequest.getAppAction() )>
		<cfset viewPage = "importer.cfm" />
	</cfif>
	
</cfsilent>


<cfinclude template="header.cfm">
<cfinclude template="#viewPage#" />
<cfinclude template="footer.cfm">