<cfsilent>
<cfparam name="Attributes.view" type="string" default="list" />
<cfparam name="attributes.categoryID" type="numeric" default="0" />
<cfparam name="Attributes.linkDate" type="date" default="#Now()#" />
<cfparam name="Attributes.eventRecords" type="array" default="0" />
<cfparam name="Attributes.ExcludeTimeHeader" type="boolean" default="no" />
<cfparam name="Attributes.eventDayHeaderClass" type="string" default="" />
<cfparam name="Attributes.timeHeaderClass" type="string" default="" />
<cfparam name="Attributes.eventDayClass" type="string" default="" />
<cfparam name="Attributes.eventDisplayClass" type="string" default="" />
<cfparam name="Attributes.eventListDisplayClass" type="string" default="" />
<cfparam name="Attributes.eventDayNameClass" type="string" default="" />
<cfparam name="Attributes.calendarNavClass" type="string" default="" />
<cfparam name="Attributes.miniCalendarNavClass" type="string" default="" />
<cfparam name="Attributes.calendarNavTableClass" type="string" default="" />
<cfparam name="Attributes.calendarTitleClass" type="string" default="" />
<cfparam name="attributes.miniCalendarDayClass" type="string" default="" />
<cfparam name="attributes.miniCalendarEventDisplayClass" type="string" default="" />
<cfparam name="attributes.miniCalendarEventDisplayHeaderClass" type="string" default="" />
<cfparam name="Attributes.calendarSelectBoxesClass" type="string" default="" />
<cfparam name="Attributes.calendarTable" type="string" default="" />
<cfparam name="attributes.miniCalendarTableClass" type="string" default="" />
<cfparam name="Attributes.calendarButtons" type="string" default="" />
<cfparam name="Attributes.calendarTooltipClass" type="string" default="" />
<cfparam name="Attributes.calendarTooltipSubClass" type="string" default="" />
<cfparam name="Attributes.TooltipSubLength" type="string" default="35" />
<cfparam name="Attributes.maxDescriptionSize" type="numeric" default="150" />
<cfparam name="Attributes.calendarLinkPage" type="string" default="" />
<cfparam name="Attributes.urlAddString" type="string" default="" />
<cfparam name="Attributes.includeDetailsUnderMiniCalendar" default="0" />
<cfparam name="Attributes.UnderMiniCalendarIncludePath" type="string" default="" />

<cfset eventRecords = Attributes.eventRecords />
</cfsilent>
<script type="text/javascript">
function changeWeek() {
	document.getElementById("weekSelector").submit();
}

function changeDay() {
	document.getElementById("daySelector").submit();
}

function changeDate() {
	document.getElementById("dateSelector").LinkDate.value = document.getElementById("dateSelector").LinkMonth.options[document.getElementById("dateSelector").LinkMonth.selectedIndex].value + "/1/" + document.getElementById("dateSelector").LinkYear.options[document.getElementById("dateSelector").LinkYear.selectedIndex].value;
	document.getElementById("dateSelector").submit();
}

function changeDate2() {
	document.getElementById("dateSelector2").LinkDate.value = document.getElementById("dateSelector2").LinkMonth.options[document.getElementById("dateSelector2").LinkMonth.selectedIndex].value + "/1/" + document.getElementById("dateSelector2").LinkYear.options[document.getElementById("dateSelector2").LinkYear.selectedIndex].value;
	document.getElementById("dateSelector2").submit();
}
</script>

<cfscript>
	categoriesRS = createObject("component", "#application.CFCPath#kalendarCategories").getMultipleRecords();
</cfscript>

<cfswitch expression="#attributes.view#">
	<cfcase value="day">
	<cfset DayOfWeek = DayOfWeek(Attributes.linkDate)>
	<cfset FirstDay = CreateODBCDate(DateAdd('d', DayOfWeek, Attributes.linkDate)) />
	<!--- display our top navigation --->
	<!--- Day CALENDAR --->
<cfoutput><table class="#attributes.calendarTableClass#" cellspacing="0"></cfoutput>
<tr>
	<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>">
	<cfform method="post" action="#cgi.script_name#" id="daySelector" class="allForms">
	<div><input type="hidden" name="view" value="day" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
	<select name="linkdate" class="<cfoutput>#attributes.calendarselectboxesclass#</cfoutput>" onchange="changeDay();">
		<cfloop index="loopcount" from="-10" to="10">
		<cfset optionday = dateadd('d', loopcount, firstday)>
		<option<cfif attributes.linkdate eq optionday>  selected="selected"</cfif>><cfoutput>#dateformat(optionday, 'mmmm d, yyyy')#</cfoutput></option></cfloop>
	</select></div></cfform></td>
	<td class="<cfoutput>#attributes.calendarnavclass#</cfoutput>" style="text-align: right;">
	<cfform method="post" action="#cgi.script_name#" id="viewchange" class="allForms">
	<div><input type="hidden" name="linkdate" value="<cfoutput>#attributes.linkdate#</cfoutput>" id="linkdate" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
	<select name="view" class="<cfoutput>#attributes.calendarselectboxesclass#</cfoutput>" onchange="document.getElementById('viewchange').submit();">
		<option value="day" selected="selected">day</option>
		<option value="week">week</option>
		<option value="weeklist">week list</option>
		<option value="month">month</option>
		<option value="list">condensed</option>
	</select></div></cfform>
	</td>
	<cfif day(now()) neq day(attributes.linkdate)>
	<td class="<cfoutput>#attributes.calendarnavclass#</cfoutput>" style="text-align: center;">
	<cfform action="#cgi.script_name#" method="post" id="viewweek" class="allForms">
	<div><input type="hidden" name="linkdate" value="<cfoutput>#dateformat(now(), 'mmmm d, yyyy')#</cfoutput>" id="link3date" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
	<input type="hidden" name="view" value="day" />
	<input type="submit" name="submit" value=" today " class="<cfoutput>#attributes.calendarbuttons#</cfoutput>" /></div></cfform></td>
	<cfelse>
	<td class="<cfoutput>#attributes.calendarnavclass#</cfoutput>"></td>
	</cfif>
	<td class="<cfoutput>#attributes.calendarnavclass#</cfoutput>" style="text-align: right;">
	<cfform method="post" action="#cgi.script_name#" id="categoryChange" class="allForms">
	<div><input type="hidden" name="linkdate" value="<cfoutput>#attributes.linkdate#</cfoutput>" id="linkdate" />
	<input type="hidden" name="view" value="<cfoutput>#attributes.view#</cfoutput>" />
	<select name="categoryID" class="<cfoutput>#attributes.calendarselectboxesclass#</cfoutput>" onchange="document.getElementById('categoryChange').submit();">
		<cfoutput query="categoriesRS">
		<option value="#categoryID#"<cfif attributes.categoryID eq categoryID> selected</cfif>>#left(categoryName, 25)#</option>
		</cfoutput>
		<option value="0"<cfif attributes.categoryID eq 0> selected</cfif>>all</option>	
	</select></div></cfform></td>	
</tr>
</table>
<table class="#attributes.calendarTableClass#" cellspacing="0" style="width: 746px;">
<cfoutput>
<tr>
	<td class="weeklisttimes"></td>
	<td class="weeklistdescription"><cfset isdata = 0 /><cfloop index="i" from="1" to="#ArrayLen(eventRecords)#">
	<cfif NOT Len(Trim(eventRecords[i].StartTime))><cfsilent>
	<cfset isdata = isdata + 1 />
	<cfset variables.tooltipHeader = DateFormat(attributes.LinkDate,  "mmmm, d") />
	<cfif Len(Trim(eventRecords[i].StartTime))>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;&nbsp;" & TimeFormat(eventRecords[i].StartTime, 'h:mm tt') />
	</cfif>
	<cfset variables.tooltipHeader = variables.tooltipHeader & " - " & Left(Trim(eventRecords[i].Title), attributes.TooltipSubLength) />
	<cfif len(eventRecords[i].Teaser)>
		<cfset variables.tooltipBody = Left(eventRecords[i].Teaser, attributes.maxDescriptionSize) />
		<cfif Len(eventRecords[i].Teaser) gt attributes.maxDescriptionSize>
			<cfset variables.tooltipBody = variables.tooltipBody & " ..." />
		</cfif>
	<cfelse>
		<cfset variables.tooltipBody = Left(eventRecords[i].Description, attributes.maxDescriptionSize) />
		<cfif Len(eventRecords[i].Description) gt attributes.maxDescriptionSize>
			<cfset variables.tooltipBody = variables.tooltipBody & " ..." />
		</cfif>
	</cfif>
	</cfsilent><div <cfif len(eventRecords[i].Teaser) OR len(eventRecords[i].Description)>title="header=[#variables.tooltipHeader#] body=[#variables.tooltipBody#] cssbody=[#attributes.calendarTooltipSubClass#] cssheader=[#attributes.calendarTooltipClass#]"</cfif> class="weeklisteventdisplay"<cfif application.categoryColors AND Len(Trim(eventRecords[i].CategoryBGColor))> style="background-color: ###eventRecords[i].CategoryBGColor#;"</cfif>><a href="#attributes.calendarLinkPage#?#eventRecords[i].EventIDLabel#=#eventRecords[i].EventID#&amp;View=#attributes.View#&amp;linkDate=#UrlEncodedFormat(Attributes.linkDate)#<cfif len(attributes.urlAddString)>#attributes.urlAddString#</cfif>" class="weeklistlink"<cfif application.categoryColors AND Len(Trim(eventRecords[i].CategoryTextColor))> style="color: ###eventRecords[i].CategoryTextColor#;"</cfif>>#Trim(eventRecords[i].Title)#</a></div>
	<div style="display:none;" class="vevent">
	<span class="dtstamp">#DateFormat(Now(), "yyyy-mm-dd")#T#TimeFormat(Now(), "HH:mm:ss")#</span>
	<span class="summary title">#Trim(eventRecords[i].Title)#</span>
	<a href="http://#cgi.server_name#/#attributes.calendarLinkPage#?#eventRecords[i].EventIDLabel#=#eventRecords[i].EventID#&amp;View=#attributes.View#&amp;linkDate=#UrlEncodedFormat(Attributes.linkDate)#<cfif len(attributes.urlAddString)>#attributes.urlAddString#</cfif>" class="url">Event Link</a>
	<div class="description">#eventRecords[i].Description#</div>
	<span class="dtstart" title="#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#<cfif Len(Trim(eventRecords[i].StartTime))>T#TimeFormat(eventRecords[i].StartTime, "HH:mm:ss")#</cfif>">#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#<cfif Len(Trim(eventRecords[i].StartTime))>T#TimeFormat(eventRecords[i].StartTime, "HH:mm:ss")#</cfif></span>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate AND eventRecords[i].StartTime neq eventRecords[i].EndTime><span class="dtend" title="<cfif eventRecords[i].EndDate neq eventRecords[i].StartDate>#DateFormat(eventRecords[i].EndDate, "yyyy-mm-dd")#<cfelse>#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#</cfif><cfif Len(Trim(eventRecords[i].EndTime))>T#TimeFormat(eventRecords[i].EndTime, "HH:mm:ss")#</cfif>"><cfif eventRecords[i].EndDate neq eventRecords[i].StartDate>#DateFormat(eventRecords[i].EndDate, "yyyy-mm-dd")#<cfelse>#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#</cfif><cfif Len(Trim(eventRecords[i].EndTime))>T#TimeFormat(eventRecords[i].EndTime, "HH:mm:ss")#</cfif></span></cfif>
	</div></cfif>
	</cfloop><cfif NOT isdata>&nbsp;</cfif></td>
</tr></cfoutput>
<cfset isdata = 0 />
<cfloop from="0" to="23" index="k">
<cfoutput><tr>
	<td class="weeklisttimes">#TimeFormat(DateAdd("h", k, "12:00 AM"), "h:mm tt")#</td>
	<td class="weeklistdescription"><cfloop index="i" from="1" to="#ArrayLen(eventRecords)#">
	<cfif TimeFormat(eventRecords[i].StartTime) gte DateAdd("h", k, "12:00:00 AM") AND TimeFormat(eventRecords[i].StartTime) lte DateAdd("n", 59, DateAdd("h", k, "12:00:00 AM"))><cfsilent>
	<cfset isdata = isdata + 1 />
	<cfset variables.tooltipHeader = DateFormat(attributes.linkDate,  "mmmm, d") />
	<cfif len(trim(eventRecords[i].StartTime))>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;&nbsp;" & TimeFormat(eventRecords[i].StartTime, 'h:mm tt') />
	</cfif>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;-&nbsp;&nbsp;" & DateFormat(attributes.linkDate,  "mmmm") & " " & DateFormat(eventRecords[i].EndDate, "d") />
	</cfif>
	<cfif len(trim(eventRecords[i].EndTime))>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;&nbsp;" & TimeFormat(eventRecords[i].EndTime, 'h:mm tt') />
	</cfif>
	<cfset variables.tooltipHeader = variables.tooltipHeader & " - " & Left(Trim(eventRecords[i].Title), attributes.TooltipSubLength) />
	<cfif len(eventRecords[i].Teaser)>
		<cfset variables.tooltipBody = Left(eventRecords[i].Teaser, attributes.maxDescriptionSize) />
		<cfif Len(eventRecords[i].Teaser) gt attributes.maxDescriptionSize>
			<cfset variables.tooltipBody = variables.tooltipBody & " ..." />
		</cfif>
	<cfelse>
		<cfset variables.tooltipBody = Left(eventRecords[i].Description, attributes.maxDescriptionSize) />
		<cfif Len(eventRecords[i].Description) gt attributes.maxDescriptionSize>
			<cfset variables.tooltipBody = variables.tooltipBody & " ..." />
		</cfif>
	</cfif>
	</cfsilent><div <cfif len(eventRecords[i].Teaser) OR len(eventRecords[i].Description)>title="header=[#variables.tooltipHeader#] body=[#variables.tooltipBody#] cssbody=[#attributes.calendarTooltipSubClass#] cssheader=[#attributes.calendarTooltipClass#]"</cfif> class="weeklisteventdisplay"<cfif application.categoryColors AND Len(Trim(eventRecords[i].CategoryBGColor))> style="background-color: ###eventRecords[i].CategoryBGColor#;"</cfif>><a href="#attributes.calendarLinkPage#?#eventRecords[i].EventIDLabel#=#eventRecords[i].EventID#&amp;View=#attributes.View#&amp;linkDate=#UrlEncodedFormat(Attributes.linkDate)#<cfif len(attributes.urlAddString)>#attributes.urlAddString#</cfif>" class="weeklistlink"<cfif application.categoryColors AND Len(Trim(eventRecords[i].CategoryTextColor))> style="color: ###eventRecords[i].CategoryTextColor#;"</cfif>>#Trim(eventRecords[i].Title)#</a></div>
	<div style="display:none;" class="vevent">
	<span class="dtstamp">#DateFormat(Now(), "yyyy-mm-dd")#T#TimeFormat(Now(), "HH:mm:ss")#</span>
	<span class="summary title">#Trim(eventRecords[i].Title)#</span>
	<a href="http://#cgi.server_name#/#attributes.calendarLinkPage#?#eventRecords[i].EventIDLabel#=#eventRecords[i].EventID#&amp;View=#attributes.View#&amp;linkDate=#UrlEncodedFormat(Attributes.linkDate)#<cfif len(attributes.urlAddString)>#attributes.urlAddString#</cfif>" class="url">Event Link</a>
	<div class="description">#eventRecords[i].Description#</div>
	<span class="dtstart" title="#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#<cfif Len(Trim(eventRecords[i].StartTime))>T#TimeFormat(eventRecords[i].StartTime, "HH:mm:ss")#</cfif>">#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#<cfif Len(Trim(eventRecords[i].StartTime))>T#TimeFormat(eventRecords[i].StartTime, "HH:mm:ss")#</cfif></span>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate AND eventRecords[i].StartTime neq eventRecords[i].EndTime><span class="dtend" title="<cfif eventRecords[i].EndDate neq eventRecords[i].StartDate>#DateFormat(eventRecords[i].EndDate, "yyyy-mm-dd")#<cfelse>#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#</cfif><cfif Len(Trim(eventRecords[i].EndTime))>T#TimeFormat(eventRecords[i].EndTime, "HH:mm:ss")#</cfif>"><cfif eventRecords[i].EndDate neq eventRecords[i].StartDate>#DateFormat(eventRecords[i].EndDate, "yyyy-mm-dd")#<cfelse>#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#</cfif><cfif Len(Trim(eventRecords[i].EndTime))>T#TimeFormat(eventRecords[i].EndTime, "HH:mm:ss")#</cfif></span></cfif>
	</div></cfif>
	</cfloop><cfif NOT isdata>&nbsp;</cfif><cfset isdata = 0 /></td>
</tr>
</cfoutput>
</cfloop>				
</table> 
	</cfcase>
<!--- DISPLAY: show the calendar in a week view --->
	<cfcase value="week">
	<!--- set week variables to establish start and end of week --->
	<cfset DayOfWeek = -DayOfWeek(Attributes.linkDate) + 1>
	<cfset FirstDateOfWeek = CreateODBCDate(DateAdd('d', DayOfWeek, Attributes.linkDate)) />
	<cfset LastDateOfWeek = CreateODBCDate(DateAdd('d', 7, FirstDateOfWeek)) />
	<!--- WEEK NAV--->
	<!--- display our top navigation --->
<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td>
<table class="<cfoutput>#attributes.calendarNavTableClass#</cfoutput>" id="navbartop">
<tr>
		<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>">
		<cfform method=post action="#cgi.SCRIPT_NAME#" id="weekSelector" class="allForms">
		<div><input type="hidden" name="view" value="week" />
		<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
		<select name="LinkDate" class="<cfoutput>#attributes.calendarSelectBoxesClass#</cfoutput>" onchange="changeWeek();">
			<cfloop index="LoopCount" from="-10" to="10">
			<cfset OptionWeek = DateAdd('ww', LoopCount, FirstDateOfWeek)>
			<cfif NOT LoopCount>
			<option selected="selected"><cfoutput>#DateFormat(FirstDateOfWeek, 'mmmm d, yyyy')#</cfoutput></option>
			<cfelse>
			<option><cfoutput>#DateFormat(OptionWeek, 'mmmm d, yyyy')#</cfoutput></option></cfif></cfloop>
		</select></div></cfform></td>
		<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>" style="text-align: center;">
		<cfif Week(Now()) neq Week(Attributes.LinkDate)>
		<cfform action="#cgi.SCRIPT_NAME#" method="post" id="viewweek" class="allForms">
		<div><input type="hidden" name="LinkDate" value="<cfoutput>#DateFormat(Now(), 'mmmm d, yyyy')#</cfoutput>" id="Link3Date" />
		<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
		<input type="hidden" name="view" value="week" />
		<input type="submit" name="submit" value=" current week " class="<cfoutput>#attributes.calendarButtons#</cfoutput>" /></div></cfform>
		</cfif></td>
		<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>" style="text-align: right;">
		<cfform method="post" action="#cgi.SCRIPT_NAME#" id="viewchange" class="allForms">
		<div><input type="hidden" name="LinkDate" value="<cfoutput>#attributes.LinkDate#</cfoutput>" id="LinkDate" />
		<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
		<select name="view" class="<cfoutput>#attributes.calendarSelectBoxesClass#</cfoutput>" onchange="document.getElementById('viewchange').submit();">
			<option value="day">day</option>
			<option value="week" selected="selected">week</option>
			<option value="weeklist">week list</option>
			<option value="month">month</option>
			<option value="list">condensed</option>
		</select></div></cfform></td>
		<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>" style="text-align: right;">
		<cfform method="post" action="#cgi.script_name#" id="categoryChange" class="allForms">
		<div><input type="hidden" name="linkdate" value="<cfoutput>#attributes.linkdate#</cfoutput>" id="linkdate" />
		<input type="hidden" name="view" value="<cfoutput>#attributes.view#</cfoutput>" />
		<select name="categoryID" class="<cfoutput>#attributes.calendarselectboxesclass#</cfoutput>" onchange="document.getElementById('categoryChange').submit();">
			<cfoutput query="categoriesRS">
			<option value="#categoryID#"<cfif attributes.categoryID eq categoryID> selected</cfif>>#left(categoryName, 25)#</option>
			</cfoutput>
			<option value="0"<cfif attributes.categoryID eq 0> selected</cfif>>all</option>	
		</select></div></cfform></td>
</tr>
</table>
</td>
</tr>
<tr>
<td>
<!--- WEEK CALENDAR --->
<cfoutput>
<table class="#attributes.calendarTableClass#">
<tr>
	<td class="#attributes.eventDayNameClass#">Sun</td>
	<td class="#attributes.eventDayNameClass#">Mon</td>
	<td class="#attributes.eventDayNameClass#">Tue</td>
	<td class="#attributes.eventDayNameClass#">Wed</td>
	<td class="#attributes.eventDayNameClass#">Thu</td>
	<td class="#attributes.eventDayNameClass#">Fri</td>
	<td class="#attributes.eventDayNameClass#">Sat</td>
</tr>
<tr>
	<td class="#attributes.eventDayHeaderClass#">#DateFormat(FirstDateOfWeek, 'm/d/yy')#</td>
	<td class="#attributes.eventDayHeaderClass#">#DateFormat(DateAdd('d', 1, FirstDateOfWeek), 'm/d/yy')#</td>
	<td class="#attributes.eventDayHeaderClass#">#DateFormat(DateAdd('d', 2, FirstDateOfWeek), 'm/d/yy')#</td>
	<td class="#attributes.eventDayHeaderClass#">#DateFormat(DateAdd('d', 3, FirstDateOfWeek), 'm/d/yy')#</td>
	<td class="#attributes.eventDayHeaderClass#">#DateFormat(DateAdd('d', 4, FirstDateOfWeek), 'm/d/yy')#</td>
	<td class="#attributes.eventDayHeaderClass#">#DateFormat(DateAdd('d', 5, FirstDateOfWeek), 'm/d/yy')#</td>
	<td class="#attributes.eventDayHeaderClass#">#DateFormat(DateAdd('d', 6, FirstDateOfWeek), 'm/d/yy')#</td>
</tr>
</cfoutput>
<!--- Output week --->
<tr>
<cfloop index="LoopIndex" from="0" to="6">
	<cfset thisDay = DateAdd('d', LoopIndex, FirstDateOfWeek) />
	<td <cfoutput>class="#attributes.eventDayClass#"</cfoutput>>
	<cfloop index="i" from="1" to="#ArrayLen(attributes.eventRecords)#">
	<cfoutput>
	<cfif CreateODBCDate(eventRecords[i].StartDate) lte CreateODBCDate(DateAdd('d', LoopIndex, FirstDateOfWeek))>
	<cfif CreateODBCDate(eventRecords[i].EndDate) gte CreateODBCDate(DateAdd('d', LoopIndex, FirstDateOfWeek))>
	<div class="eventdiv">
	<div class="#attributes.TimeHeaderClass#<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate> spandays</cfif>">
	<cfif len(trim(eventRecords[i].StartTime))>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate>
		<cfif eventRecords[i].StartDate eq thisDay>
			#DateFormat(eventRecords[i].StartDate, 'm/d')# #TimeFormat(eventRecords[i].StartTime, 'h:mm tt')#
		</cfif>
	<cfelse> 
	#TimeFormat(eventRecords[i].StartTime, 'h:mm tt')#
	</cfif>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate>
		<cfif eventRecords[i].StartDate neq thisDay>
		End #DateFormat(eventRecords[i].EndDate, "m/d")#
			<cfif len(trim(eventRecords[i].EndTime))> 
				#TimeFormat(eventRecords[i].EndTime, 'h:mm tt')#
			</cfif>
		</cfif>
	</cfif>
	<cfelse>
	all day event
	</cfif>
	</div>
	<cfset variables.tooltipHeader = DateFormat(eventRecords[i].StartDate,  "mmmm") & " " & Day(eventRecords[i].StartDate) />
	<cfif len(trim(eventRecords[i].StartTime))>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;&nbsp;" & TimeFormat(eventRecords[i].StartTime, 'h:mm tt') />
	</cfif>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;-&nbsp;&nbsp;" & DateFormat(attributes.linkDate,  "mmmm") & " " & DateFormat(eventRecords[i].EndDate, "d") />
	</cfif>
	<cfif len(trim(eventRecords[i].EndTime))>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;&nbsp;" & TimeFormat(eventRecords[i].EndTime, 'h:mm tt') />
	</cfif>
	<cfset variables.tooltipHeader = variables.tooltipHeader & ":<br />" & Left(Trim(eventRecords[i].Title), attributes.TooltipSubLength) />
	<cfif len(eventRecords[i].Teaser)>
		<cfset variables.tooltipBody = Left(eventRecords[i].Teaser, attributes.maxDescriptionSize) />
		<cfif Len(eventRecords[i].Teaser) gt attributes.maxDescriptionSize>
			<cfset variables.tooltipBody = variables.tooltipBody & " ..." />
		</cfif>
	<cfelse>
		<cfset variables.tooltipBody = Left(eventRecords[i].Description, attributes.maxDescriptionSize) />
		<cfif Len(eventRecords[i].Description) gt attributes.maxDescriptionSize>
			<cfset variables.tooltipBody = variables.tooltipBody & " ..." />
		</cfif>
	</cfif>
	<div <cfif len(eventRecords[i].Teaser) OR len(eventRecords[i].Description)>title="header=[#HTMLEditFormat(variables.tooltipHeader)#] body=[#HTMLEditFormat(variables.tooltipBody)#] cssbody=[#attributes.calendarTooltipSubClass#] cssheader=[#attributes.calendarTooltipClass#]"</cfif> class="#attributes.eventDisplayClass#"<cfif application.categoryColors AND Len(Trim(eventRecords[i].CategoryBGColor))> style="background-color: ###eventRecords[i].CategoryBGColor#;"</cfif>>
	<a href="#attributes.calendarLinkPage#?#eventRecords[i].EventIDLabel#=#eventRecords[i].EventID#&amp;View=#attributes.View#&amp;linkDate=#UrlEncodedFormat(Attributes.linkDate)#<cfif len(attributes.urlAddString)>#attributes.urlAddString#</cfif>" class="#attributes.eventDisplayClass#"<cfif application.categoryColors AND Len(Trim(eventRecords[i].CategoryTextColor))> style="color: ###eventRecords[i].CategoryTextColor#;"</cfif>>#Trim(eventRecords[i].Title)#</a>
	</div>
	<div style="display:none;" class="vevent">
	<span class="dtstamp">#DateFormat(Now(), "yyyy-mm-dd")#T#TimeFormat(Now(), "HH:mm:ss")#</span>
	<span class="summary title">#Trim(eventRecords[i].Title)#</span>
	<a href="http://#cgi.server_name#/#attributes.calendarLinkPage#?#eventRecords[i].EventIDLabel#=#eventRecords[i].EventID#&amp;View=#attributes.View#&amp;linkDate=#UrlEncodedFormat(Attributes.linkDate)#<cfif len(attributes.urlAddString)>#attributes.urlAddString#</cfif>" class="url">Event Link</a>
	<div class="description">#eventRecords[i].Description#</div>
	<span class="dtstart" title="#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#<cfif Len(Trim(eventRecords[i].StartTime))>T#TimeFormat(eventRecords[i].StartTime, "HH:mm:ss")#</cfif>">#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#<cfif Len(Trim(eventRecords[i].StartTime))>T#TimeFormat(eventRecords[i].StartTime, "HH:mm:ss")#</cfif></span>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate AND eventRecords[i].StartTime neq eventRecords[i].EndTime><span class="dtend" title="<cfif eventRecords[i].EndDate neq eventRecords[i].StartDate>#DateFormat(eventRecords[i].EndDate, "yyyy-mm-dd")#<cfelse>#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#</cfif><cfif Len(Trim(eventRecords[i].EndTime))>T#TimeFormat(eventRecords[i].EndTime, "HH:mm:ss")#</cfif>"><cfif eventRecords[i].EndDate neq eventRecords[i].StartDate>#DateFormat(eventRecords[i].EndDate, "yyyy-mm-dd")#<cfelse>#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#</cfif><cfif Len(Trim(eventRecords[i].EndTime))>T#TimeFormat(eventRecords[i].EndTime, "HH:mm:ss")#</cfif></span></cfif>
	</div>
	</cfif>
	</cfif>
	</div>
	</cfoutput>
	</cfloop>
	</td>
	</cfloop>
</tr>							
</table>
<p></p>
</td>
</tr>
</table> 
	</cfcase>
	<cfcase value="weeklist">
	<!--- set week variables to establish start and end of week --->
	<cfscript>
		DayOfWeek = -DayOfWeek(Attributes.LinkDate) + 1;
		FirstDateOfWeek = CreateODBCDate(DateAdd('d', DayOfWeek, Attributes.LinkDate));
		LastDateOfWeek = CreateODBCDate(DateAdd('d', 6, FirstDateOfWeek));
	</cfscript>
	<!--- WEEK NAV--->
	<!--- display our top navigation --->
<!--- WEEK CALENDAR --->
<table class="<cfoutput>#attributes.calendarNavTableClass#</cfoutput>">
<tr>
	<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>">
	<cfform method=post action="#cgi.SCRIPT_NAME#" id="weekSelector" class="allForms">
	<div><input type="hidden" name="view" value="weeklist" />
		<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
		<select name="LinkDate" class="<cfoutput>#attributes.calendarSelectBoxesClass#</cfoutput>" onchange="changeWeek();">
		<cfloop index="LoopCount" from="-10" to="10">
		<cfset optionWeek = DateAdd('ww', LoopCount, FirstDateOfWeek)>
		<cfif NOT LoopCount>
		<option selected="selected"><cfoutput>#DateFormat(FirstDateOfWeek, 'mmmm d, yyyy')#</cfoutput></option>
		<cfelse>
		<option><cfoutput>#DateFormat(optionWeek, 'mmmm d, yyyy')#</cfoutput></option></cfif></cfloop>
	</select></div></cfform></td>
	<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>" style="text-align: center;">
	<cfif Week(Now()) neq Week(attributes.LinkDate)>
	<cfform action="#cgi.SCRIPT_NAME#" method="post" id="viewweek" class="allForms">
	<div><input type="hidden" name="LinkDate" value="<cfoutput>#DateFormat(Now(), 'mmmm d, yyyy')#</cfoutput>" id="Link3Date" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
	<input type="hidden" name="view" value="weeklist" />
	<input type="submit" name="submit" value=" current week " class="<cfoutput>#attributes.calendarButtons#</cfoutput>" /></div></cfform></cfif></td>
	<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>" style="text-align: right;">
	<cfform method="post" action="#cgi.SCRIPT_NAME#" id="viewchange" class="allForms">
	<div><input type="hidden" name="LinkDate" value="<cfoutput>#attributes.LinkDate#</cfoutput>" id="LinkDate" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
	<select name="view" class="<cfoutput>#attributes.calendarSelectBoxesClass#</cfoutput>" onchange="document.getElementById('viewchange').submit();">
		<option value="day">day</option>
		<option value="week">week</option>
		<option value="weeklist" selected="selected">week list</option>
		<option value="month">month</option>
		<option value="list">condensed</option>
	</select></div></cfform></td>
	<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>" style="text-align: right;">
	<cfform method="post" action="#cgi.script_name#" id="categoryChange" class="allForms">
	<div><input type="hidden" name="linkdate" value="<cfoutput>#attributes.linkdate#</cfoutput>" id="linkdate" />
	<input type="hidden" name="view" value="<cfoutput>#attributes.view#</cfoutput>" />
	<select name="categoryID" class="<cfoutput>#attributes.calendarselectboxesclass#</cfoutput>" onchange="document.getElementById('categoryChange').submit();">
		<cfoutput query="categoriesRS">
		<option value="#categoryID#"<cfif attributes.categoryID eq categoryID> selected</cfif>>#left(categoryName, 25)#</option>
		</cfoutput>
		<option value="0"<cfif attributes.categoryID eq 0> selected</cfif>>all</option>	
	</select></div></cfform></td>
</tr>
</table>
<table class="#attributes.calendarTableClass#" cellspacing="0" style="width: 750px;">
<cfloop index="LoopIndex" from="0" to="6">
<cfset variables.EventCount = 0 />
<!--- Output week --->
<tr>
	<td class="weeklisttimes">&nbsp;</td>
	<td class="weeklistday"><cfoutput>#DateFormat(DateAdd("d", LoopIndex, FirstDateOfWeek), "dddd, mmmm d")#</cfoutput></td>
</tr>
<cfloop index="i" from="1" to="#ArrayLen(eventRecords)#">
<cfoutput>
<cfif (CreateODBCDate(DateFormat(eventRecords[i].StartDate)) lte CreateODBCDate(DateAdd('d', LoopIndex, FirstDateOfWeek))) AND (CreateODBCDate(DateFormat(eventRecords[i].EndDate)) gte CreateODBCDate(DateAdd('d', LoopIndex, FirstDateOfWeek)))>
<cfset variables.EventCount = variables.EventCount + 1 />
<tr>
	<td class="weeklisttimes"><cfif eventRecords[i].StartDate eq DateAdd("d", LoopIndex, FirstDateOfWeek)><cfif Len(Trim(eventRecords[i].StartTime))>#TimeFormat(eventRecords[i].StartTime, 'h:mm tt')#<cfelse>&nbsp;</cfif><cfelse><cfif Len(Trim(eventRecords[i].EndTime))>#TimeFormat(eventRecords[i].EndTime, 'h:mm tt')#<cfelse>&nbsp;</cfif></cfif></td>
	<td class="weeklistdescription"><cfsilent><cfset variables.tooltipHeader = DateFormat(attributes.linkDate,  "mmmm") & " " & DateFormat(eventRecords[i].StartDate, "d") />
	<cfif len(trim(eventRecords[i].StartTime))>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;&nbsp;" & TimeFormat(eventRecords[i].StartTime, 'h:mm tt') />
	</cfif>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;-&nbsp;&nbsp;" & DateFormat(attributes.linkDate,  "mmmm") & " " & DateFormat(eventRecords[i].EndDate, "d") />
	</cfif>
	<cfif len(trim(eventRecords[i].EndTime))>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;&nbsp;" & TimeFormat(eventRecords[i].EndTime, 'h:mm tt') />
	</cfif>
	<cfset variables.tooltipHeader = variables.tooltipHeader & "<br />" & Left(Trim(eventRecords[i].Title), attributes.TooltipSubLength) />
	<cfif len(eventRecords[i].Teaser)>
		<cfset variables.tooltipBody = Left(eventRecords[i].Teaser, attributes.maxDescriptionSize) />
		<cfif Len(eventRecords[i].Teaser) gt attributes.maxDescriptionSize>
			<cfset variables.tooltipBody = variables.tooltipBody & " ..." />
		</cfif>
	<cfelse>
		<cfset variables.tooltipBody = Left(eventRecords[i].Description, attributes.maxDescriptionSize) />
		<cfif Len(eventRecords[i].Description) gt attributes.maxDescriptionSize>
			<cfset variables.tooltipBody = variables.tooltipBody & " ..." />
		</cfif>
	</cfif>
	</cfsilent><div <cfif len(eventRecords[i].Teaser) OR len(eventRecords[i].Description)>title="header=[#HTMLEditFormat(variables.tooltipHeader)#] body=[#HTMLEditFormat(variables.tooltipBody)#] cssbody=[#attributes.calendarTooltipSubClass#] cssheader=[#attributes.calendarTooltipClass#]"</cfif> class="weeklisteventdisplay"<cfif application.categoryColors AND Len(Trim(eventRecords[i].CategoryBGColor))> style="background-color: ###eventRecords[i].CategoryBGColor#;"</cfif>><a href="#attributes.calendarLinkPage#?#eventRecords[i].EventIDLabel#=#eventRecords[i].EventID#&amp;View=#attributes.View#&amp;linkDate=#UrlEncodedFormat(Attributes.linkDate)#<cfif len(attributes.urlAddString)>#attributes.urlAddString#</cfif>" class="weeklistlink"<cfif application.categoryColors AND Len(Trim(eventRecords[i].CategoryTextColor))> style="color: ###eventRecords[i].CategoryTextColor#;"</cfif>>#Trim(eventRecords[i].Title)#</a></div>
	<div style="display:none;" class="vevent">
	<span class="dtstamp">#DateFormat(Now(), "yyyy-mm-dd")#T#TimeFormat(Now(), "HH:mm:ss")#</span>
	<span class="summary title">#Trim(eventRecords[i].Title)#</span>
	<a href="http://#cgi.server_name#/#attributes.calendarLinkPage#?#eventRecords[i].EventIDLabel#=#eventRecords[i].EventID#&amp;View=#attributes.View#&amp;linkDate=#UrlEncodedFormat(Attributes.linkDate)#<cfif len(attributes.urlAddString)>#attributes.urlAddString#</cfif>" class="url"<cfif application.categoryColors AND Len(Trim(eventRecords[i].CategoryTextColor))> style="color: ###eventRecords[i].CategoryTextColor#;"</cfif>>Event Link</a>
	<div class="description">#eventRecords[i].Description#</div>
	<span class="dtstart" title="#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#<cfif Len(Trim(eventRecords[i].StartTime))>T#TimeFormat(eventRecords[i].StartTime, "HH:mm:ss")#</cfif>">#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#<cfif Len(Trim(eventRecords[i].StartTime))>T#TimeFormat(eventRecords[i].StartTime, "HH:mm:ss")#</cfif></span>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate AND eventRecords[i].StartTime neq eventRecords[i].EndTime><span class="dtend" title="<cfif eventRecords[i].EndDate neq eventRecords[i].StartDate>#DateFormat(eventRecords[i].EndDate, "yyyy-mm-dd")#<cfelse>#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#</cfif><cfif Len(Trim(eventRecords[i].EndTime))>T#TimeFormat(eventRecords[i].EndTime, "HH:mm:ss")#</cfif>"><cfif eventRecords[i].EndDate neq eventRecords[i].StartDate>#DateFormat(eventRecords[i].EndDate, "yyyy-mm-dd")#<cfelse>#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#</cfif><cfif Len(Trim(eventRecords[i].EndTime))>T#TimeFormat(eventRecords[i].EndTime, "HH:mm:ss")#</cfif></span></cfif>
	</div></td>
</tr>
</cfif>
	</cfoutput>
	</cfloop>
<cfif NOT variables.EventCount>
<cfset variables.EventCount = variables.EventCount + 1 />
<tr>
	<td class="weeklisttimes">&nbsp;</td>
	<td class="weeklistdescription" colspan="3">&nbsp;</td>
</tr>
</cfif>
<cfset variables.EventCount = 0 />
</cfloop>							
</table> 
	</cfcase>
<!--- DISPLAY: show the calendar in a month view --->
	<cfcase value="month">
	<!--- set month variables to establish start and end of month --->
	<cfscript>
		FirstDateOfMonth = Month(Attributes.linkDate) & "/1/" &  Year(Attributes.linkDate);
		FirstDateOfMonth = CreateODBCDate(FirstDateOfMonth);
		LastDateOfMonth = Month(Attributes.linkDate) & "/" & DaysInMonth(FirstDateOfMonth) & "/" &  Year(Attributes.linkDate);
		LastDateOfMonth = CreateODBCDate(LastDateOfMonth);
		DayOfWeekForFirstDateOfMonth = -DayOfWeek(FirstDateOfMonth) + 1;
		FirstDateOfWeek = CreateODBCDate(DateAdd('d', DayOfWeekForFirstDateOfMonth, FirstDateOfMonth));
		DayOfWeekForLastDateOfMonth = 7 - DayOfWeek(LastDateOfMonth);
		LastDateOfWeek = CreateODBCDate(DateAdd('d', DayOfWeekForLastDateOfMonth, LastDateOfMonth));
		FirstWeekOfMonth = Week(FirstDateOfMonth);
		LastWeekOfMonth = Week(LastDateOfMonth);
	</cfscript>
<table style="border-collapse: collapse; padding: 0; margin: 0;">
<tr>
<td style="border-collapse: collapse; padding: 0; margin: 0;">
<table class="<cfoutput>#attributes.calendarNavTableClass#</cfoutput>" id="navbartop">
<tr>
	<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>">
	<cfform method="post" action="#cgi.SCRIPT_NAME#" id="dateSelector" class="allForms">
	<div><input type="hidden" name="view" value="month" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
	<input type="hidden" name="LinkDate" value="" />
	<cfoutput>
	<select name="LinkMonth" class="#attributes.calendarSelectBoxesClass#" onchange="changeDate();">
		<option value="1"<cfif Month(Attributes.linkDate) eq 1> selected="selected"</cfif>>January</option>
		<option value="2"<cfif Month(Attributes.linkDate) eq 2> selected="selected"</cfif>>February</option>
		<option value="3"<cfif Month(Attributes.linkDate) eq 3> selected="selected"</cfif>>March</option>
		<option value="4"<cfif Month(Attributes.linkDate) eq 4> selected="selected"</cfif>>April</option>
		<option value="5"<cfif Month(Attributes.linkDate) eq 5> selected="selected"</cfif>>May</option>
		<option value="6"<cfif Month(Attributes.linkDate) eq 6> selected="selected"</cfif>>June</option>
		<option value="7"<cfif Month(Attributes.linkDate) eq 7> selected="selected"</cfif>>July</option>
		<option value="8"<cfif Month(Attributes.linkDate) eq 8> selected="selected"</cfif>>August</option>
		<option value="9"<cfif Month(Attributes.linkDate) eq 9> selected="selected"</cfif>>September</option>
		<option value="10"<cfif Month(Attributes.linkDate) eq 10> selected="selected"</cfif>>October</option>
		<option value="11"<cfif Month(Attributes.linkDate) eq 11> selected="selected"</cfif>>November</option>
		<option value="12"<cfif Month(Attributes.linkDate) eq 12> selected="selected"</cfif>>December</option>
	</select>
	</cfoutput>
	&nbsp;<select name="LinkYear" class="<cfoutput>#attributes.calendarSelectBoxesClass#</cfoutput>" onchange="changeDate();">
	<cfloop index="LoopCount" from="-7" to="50">
		<cfset OptionYear = Year(Attributes.linkDate) + LoopCount>
		<cfoutput><option value="#OptionYear#"<cfif NOT LoopCount> selected="selected"</cfif>>#OptionYear#</option></cfoutput>
	</cfloop>
	</select></div></cfform></td>
	<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>">
	<cfif Month(Now()) neq Month(Attributes.LinkDate)>
	<cfform action="#cgi.SCRIPT_NAME#" method="post" id="viewmonth" class="allForms">
	<cfoutput>
	<div><input type="hidden" name="LinkDate" value="#DateFormat(Now(), 'm/d/yyyy')#" id="Link2Date" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
	<input type="hidden" name="View" value="Month" />
	<input type="submit" name="submit" value=" current month " class="#attributes.calendarButtons#" /></cfoutput></div></cfform></cfif></td>
	<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>" style="text-align: right;">
	<cfform action="#cgi.SCRIPT_NAME#" method="post" id="viewchange" class="allForms">
	<cfoutput>
	<div><input type="hidden" name="LinkDate" value="#Attributes.linkDate#" id="Link3Date" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
	<select name="view" class="#attributes.calendarSelectBoxesClass#" onchange="document.getElementById('viewchange').submit();">
		<option value="day">day</option>
		<option value="week">week</option>
		<option value="weeklist">week list</option>
		<option value="month" selected="selected">month</option>
		<option value="list">condensed</option>
	</select></cfoutput></div></cfform></td>
	<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>" style="text-align: right;">
	<cfform method="post" action="#cgi.script_name#" id="categoryChange" class="allForms">
	<div><input type="hidden" name="linkdate" value="<cfoutput>#attributes.linkdate#</cfoutput>" id="linkdate" />
	<input type="hidden" name="view" value="<cfoutput>#attributes.view#</cfoutput>" />
	<select name="categoryID" class="<cfoutput>#attributes.calendarselectboxesclass#</cfoutput>" onchange="document.getElementById('categoryChange').submit();">
		<cfoutput query="categoriesRS">
		<option value="#categoryID#"<cfif attributes.categoryID eq categoryID> selected</cfif>>#left(categoryName, 25)#</option>
		</cfoutput>
		<option value="0"<cfif attributes.categoryID eq 0> selected</cfif>>all</option>	
	</select></div></cfform></td>
</tr>
</table>
</td>
</tr>
<tr>
<cfoutput>
<td style="border-collapse: collapse; padding: 0; margin: 0;">
<!---- MAIN MONTHLY CALENDAR DISPLAY ---->
<table class="#attributes.calendarTableClass#">
<tr>
	<td class="#attributes.eventDayNameClass#">Sun</td>
	<td class="#attributes.eventDayNameClass#">Mon</td>
	<td class="#attributes.eventDayNameClass#">Tue</td>
	<td class="#attributes.eventDayNameClass#">Wed</td>
	<td class="#attributes.eventDayNameClass#">Thu</td>
	<td class="#attributes.eventDayNameClass#">Fri</td>
	<td class="#attributes.eventDayNameClass#">Sat</td>
</tr>
</cfoutput>
<cfset popupName = 0 />
<cfloop index="LoopWeek" from="#FirstWeekOfMonth#" to="#LastWeekOfMonth#">
<tr>
	<cfloop index="LoopIndex" from="0" to="6">
	<cfset thisDay = DateAdd('d', LoopIndex, FirstDateOfWeek) />
	<cfoutput>
	<td class="#attributes.eventDayHeaderClass#"><cfif Month(CreateODBCDate(thisDay)) eq Month(Attributes.LinkDate)>#Day(thisDay)#<cfelse>&nbsp;</cfif></td>
	</cfoutput>
	</cfloop>
</tr>
<!--- Output week --->
<tr>
<cfloop index="LoopIndex" from="0" to="6">
	<cfset thisDay = DateAdd('d', LoopIndex, FirstDateOfWeek) />
	<td class="<cfoutput>#attributes.eventDayClass#</cfoutput>">
	<cfloop index="i" from="1" to="#ArrayLen(attributes.eventRecords)#">
	<cfif Month(CreateODBCDate(thisDay)) eq Month(Attributes.LinkDate)>
	<cfoutput>
	<cfif Month(CreateODBCDate(eventRecords[i].StartDate)) eq Month(Attributes.LinkDate) OR Month(CreateODBCDate(eventRecords[i].EndDate)) eq Month(Attributes.LinkDate)>
	<cfif CreateODBCDate(eventRecords[i].StartDate) lte CreateODBCDate(DateAdd('d', LoopIndex, FirstDateOfWeek))>
	<cfif CreateODBCDate(eventRecords[i].EndDate) gte CreateODBCDate(DateAdd('d', LoopIndex, FirstDateOfWeek))>
	<div class="eventdiv">
	<div class="#attributes.TimeHeaderClass#<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate> spandays</cfif>">
	<cfif len(trim(eventRecords[i].StartTime))>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate>
		<cfif eventRecords[i].StartDate eq thisDay>
			#DateFormat(eventRecords[i].StartDate, 'm/d')# #TimeFormat(eventRecords[i].StartTime, 'h:mm tt')#
		</cfif>
	<cfelse> 
	#TimeFormat(eventRecords[i].StartTime, 'h:mm tt')#
	</cfif>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate>
		<cfif eventRecords[i].StartDate neq thisDay>
		End #DateFormat(eventRecords[i].EndDate, "m/d")#
			<cfif len(trim(eventRecords[i].EndTime))> 
				#TimeFormat(eventRecords[i].EndTime, 'h:mm tt')#
			</cfif>
		</cfif>
	</cfif>
	<cfelse>
	all day event
	</cfif>
	</div>
	<cfsilent>
	<cfset variables.tooltipHeader = DateFormat(eventRecords[i].StartDate,  "mmmm") & " " & Day(eventRecords[i].StartDate) />
	<cfif len(trim(eventRecords[i].StartTime))>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;&nbsp;" & TimeFormat(eventRecords[i].StartTime, 'h:mm tt') />
	</cfif>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;-&nbsp;&nbsp;" & DateFormat(attributes.linkDate,  "mmmm") & " " & DateFormat(eventRecords[i].EndDate, "d") />
	</cfif>
	<cfif len(trim(eventRecords[i].EndTime))>
		<cfset variables.tooltipHeader = variables.tooltipHeader & "&nbsp;&nbsp;&nbsp;" & TimeFormat(eventRecords[i].EndTime, 'h:mm tt') />
	</cfif>
	<cfset variables.tooltipHeader = variables.tooltipHeader & ":<br />" & Left(Trim(eventRecords[i].Title), attributes.TooltipSubLength) />
	<cfif len(eventRecords[i].Teaser)>
		<cfset variables.tooltipBody = Left(eventRecords[i].Teaser, attributes.maxDescriptionSize) />
		<cfif Len(eventRecords[i].Teaser) gt attributes.maxDescriptionSize>
			<cfset variables.tooltipBody = variables.tooltipBody & " ..." />
		</cfif>
	<cfelse>
		<cfset variables.tooltipBody = Left(eventRecords[i].Description, attributes.maxDescriptionSize) />
		<cfif Len(eventRecords[i].Description) gt attributes.maxDescriptionSize>
			<cfset variables.tooltipBody = variables.tooltipBody & " ..." />
		</cfif>
	</cfif>
	</cfsilent>
	<div <cfif len(eventRecords[i].Teaser) OR len(eventRecords[i].Description)>title="header=[#HTMLEditFormat(variables.tooltipHeader)#] body=[#HTMLEditFormat(variables.tooltipBody)#] cssbody=[#attributes.calendarTooltipSubClass#] cssheader=[#attributes.calendarTooltipClass#]"</cfif> class="#attributes.eventDisplayClass#"<cfif application.categoryColors AND Len(Trim(eventRecords[i].CategoryBGColor))> style="background-color: ###eventRecords[i].CategoryBGColor#;"</cfif>>
	<a href="#attributes.calendarLinkPage#?#eventRecords[i].EventIDLabel#=#eventRecords[i].EventID#&amp;View=#attributes.View#&amp;linkDate=#UrlEncodedFormat(Attributes.linkDate)#<cfif len(attributes.urlAddString)>#attributes.urlAddString#</cfif>" class="#attributes.eventDisplayClass#"<cfif application.categoryColors AND Len(Trim(eventRecords[i].CategoryTextColor))> style="color: ###eventRecords[i].CategoryTextColor#;"</cfif>>#Trim(eventRecords[i].Title)#</a>
	<div style="display:none;" class="vevent">
	<span class="dtstamp">#DateFormat(Now(), "yyyy-mm-dd")#T#TimeFormat(Now(), "HH:mm:ss")#</span>
	<span class="summary title">#Trim(eventRecords[i].Title)#</span>
	<a href="http://#cgi.server_name#/#attributes.calendarLinkPage#?#eventRecords[i].EventIDLabel#=#eventRecords[i].EventID#&amp;View=#attributes.View#&amp;linkDate=#UrlEncodedFormat(Attributes.linkDate)#<cfif len(attributes.urlAddString)>#attributes.urlAddString#</cfif>" class="url">Event Link</a>
	<div class="description">#eventRecords[i].Description#</div>
	<span class="dtstart" title="#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#<cfif Len(Trim(eventRecords[i].StartTime))>T#TimeFormat(eventRecords[i].StartTime, "HH:mm:ss")#</cfif>">#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#<cfif Len(Trim(eventRecords[i].StartTime))>T#TimeFormat(eventRecords[i].StartTime, "HH:mm:ss")#</cfif></span>
	<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate AND eventRecords[i].StartTime neq eventRecords[i].EndTime><span class="dtend" title="<cfif eventRecords[i].EndDate neq eventRecords[i].StartDate>#DateFormat(eventRecords[i].EndDate, "yyyy-mm-dd")#<cfelse>#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#</cfif><cfif Len(Trim(eventRecords[i].EndTime))>T#TimeFormat(eventRecords[i].EndTime, "HH:mm:ss")#</cfif>"><cfif eventRecords[i].EndDate neq eventRecords[i].StartDate>#DateFormat(eventRecords[i].EndDate, "yyyy-mm-dd")#<cfelse>#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#</cfif><cfif Len(Trim(eventRecords[i].EndTime))>T#TimeFormat(eventRecords[i].EndTime, "HH:mm:ss")#</cfif></span></cfif>
	</div>
	</div>
	</cfif>
	</cfif>
	</cfif>
	</div>
	</cfoutput>
	<cfelse>
	&nbsp;</cfif></cfloop></td>
</cfloop>
</tr>
<cfset FirstDateOfWeek = CreateODBCDate(DateAdd('d', 7, FirstDateOfWeek)) />
</cfloop>
</table>
</td>
</tr>
<tr>
<td style="border-collapse: collapse; padding: 0; margin: 0;">
<!--- MONTH: Bottom navigation --->
<table class="<cfoutput>#attributes.calendarNavTableClass#</cfoutput>" id="navbarbottom">
<tr>
	<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>">
	<cfform action="#cgi.SCRIPT_NAME#" method="post" id="dateSelector2" class="allForms">
	<div><input type="hidden" name="view" value="month" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
	<input type="hidden" name="LinkDate" value="" />
	<cfoutput>
	<select name="LinkMonth" class="#attributes.calendarSelectBoxesClass#" onchange="changeDate2();">
		<option value="1"<cfif Month(Attributes.LinkDate) eq 1> selected="selected"</cfif>>January</option>
		<option value="2"<cfif Month(Attributes.LinkDate) eq 2> selected="selected"</cfif>>February</option>
		<option value="3"<cfif Month(Attributes.LinkDate) eq 3> selected="selected"</cfif>>March</option>
		<option value="4"<cfif Month(Attributes.LinkDate) eq 4> selected="selected"</cfif>>April</option>
		<option value="5"<cfif Month(Attributes.LinkDate) eq 5> selected="selected"</cfif>>May</option>
		<option value="6"<cfif Month(Attributes.LinkDate) eq 6> selected="selected"</cfif>>June</option>
		<option value="7"<cfif Month(Attributes.LinkDate) eq 7> selected="selected"</cfif>>July</option>
		<option value="8"<cfif Month(Attributes.LinkDate) eq 8> selected="selected"</cfif>>August</option>
		<option value="9"<cfif Month(Attributes.LinkDate) eq 9> selected="selected"</cfif>>September</option>
		<option value="10"<cfif Month(Attributes.LinkDate) eq 10> selected="selected"</cfif>>October</option>
		<option value="11"<cfif Month(Attributes.LinkDate) eq 11> selected="selected"</cfif>>November</option>
		<option value="12"<cfif Month(Attributes.LinkDate) eq 12> selected="selected"</cfif>>December</option>
	</select>
	</cfoutput>
	&nbsp;<select name="LinkYear" class="<cfoutput>#attributes.calendarSelectBoxesClass#</cfoutput>" onchange="changeDate2();">
	<cfloop index="LoopCount" from="-7" to="50">
	<cfset OptionYear = Year(Attributes.linkDate) + LoopCount />
		<cfoutput><option value="#optionyear#"<cfif not loopcount>  selected="selected"</cfif>>#optionyear#</option></cfoutput></cfloop>
	</select></div></cfform></td>
	<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>">
	<cfif Month(Now()) neq Month(Attributes.LinkDate)>
	<cfform action="#cgi.SCRIPT_NAME#" method="post" id="viewmonth" class="allForms">
	<cfoutput>
	<div><input type="hidden" name="LinkDate" value="#DateFormat(Now(), 'm/d/yyyy')#" id="Link4Date" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
	<input type="hidden" name="View" value="Month" />
	<input type="submit" name="submit" value=" current month " class="#attributes.calendarButtons#" /></cfoutput></div></cfform></cfif></td>
	<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>" style="text-align: right;">
	<cfform action="#cgi.SCRIPT_NAME#" method="post" id="viewchange2" class="allForms">
	<cfoutput>
	<div><input type="hidden" name="LinkDate" value="#Attributes.linkDate#" id="Link5Date" />
	<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
	<select name="view" class="<cfoutput>#attributes.calendarSelectBoxesClass#</cfoutput>" onchange="document.getElementById('viewchange2').submit();">
		<option value="day">day</option>
		<option value="week">week</option>
		<option value="weeklist">week list</option>
		<option value="month" selected="selected">month</option>
		<option value="list">condensed</option>
	</select></cfoutput></div></cfform></td>
	<td class="<cfoutput>#Attributes.calendarNavClass#</cfoutput>" style="text-align: right;">
	<cfform method="post" action="#cgi.script_name#" id="categoryChange" class="allForms">
	<div><input type="hidden" name="linkdate" value="<cfoutput>#attributes.linkdate#</cfoutput>" id="linkdate" />
	<input type="hidden" name="view" value="<cfoutput>#attributes.view#</cfoutput>" />
	<select name="categoryID" class="<cfoutput>#attributes.calendarselectboxesclass#</cfoutput>" onchange="document.getElementById('categoryChange').submit();">
		<cfoutput query="categoriesRS">
		<option value="#categoryID#"<cfif attributes.categoryID eq categoryID> selected</cfif>>#left(categoryName, 25)#</option>
		</cfoutput>
		<option value="0"<cfif attributes.categoryID eq 0> selected</cfif>>all</option>	
	</select></div></cfform></td>
</tr>
</table>
</td>
</tr>
</table>
	</cfcase>
	<!--- DISPLAY: show the calendar in a month view as a mini-calendar with event list --->
	<cfcase value="list">
	<cfsilent>
	<!--- set month variables to establish start and end of month --->
	<cfscript>
		FirstDateOfMonth = Month(Attributes.linkDate) & "/1/" &  Year(Attributes.linkDate);
		FirstDateOfMonth = CreateODBCDate(FirstDateOfMonth);
		LastDateOfMonth = Month(Attributes.linkDate) & "/" & DaysInMonth(FirstDateOfMonth) & "/" &  Year(Attributes.linkDate);
		LastDateOfMonth = CreateODBCDate(LastDateOfMonth);
		DayOfWeekForFirstDateOfMonth = -DayOfWeek(FirstDateOfMonth) + 1;
		FirstDateOfWeek = CreateODBCDate(DateAdd('d', DayOfWeekForFirstDateOfMonth, FirstDateOfMonth));
		DayOfWeekForLastDateOfMonth = 7 - DayOfWeek(LastDateOfMonth);
		LastDateOfWeek = CreateODBCDate(DateAdd('d', DayOfWeekForLastDateOfMonth, LastDateOfMonth));
		FirstWeekOfMonth = Week(FirstDateOfMonth);
		LastWeekOfMonth = Week(LastDateOfMonth);
	</cfscript>
	</cfsilent>
<a id="top"></a>
<table id="condensedDisplayMainTable">
<tr>
<td style="vertical-align: top;">
<!---- MINI CALENDAR DISPLAY ---->
<cfoutput>
<table class="#attributes.miniCalendarTableClass#">
<tr>
	<td colspan="7">
	<table style="border-collapse: collapse; padding: 0; margin: 0; width: 100%;">
	<tr>
		<td class="#Attributes.miniCalendarNavClass#">
		<a href="#cgi.SCRIPT_NAME#?linkDate=#DateFormat(DateAdd("m", -1, Attributes.linkDate), "mm/dd/yyyy")#&amp;view=list" title="#DateFormat(DateAdd("m", -1, Attributes.linkDate), "mmm yyyy")#">&lt;&lt;</a></td>
		<td class="#Attributes.miniCalendarNavClass#" style="width: 50%">
		<strong>#DateFormat(Attributes.LinkDate, "mmmm yyyy")#</strong></td>
		<td class="#Attributes.miniCalendarNavClass#">
		<a href="#cgi.SCRIPT_NAME#?linkDate=#DateFormat(DateAdd("m", 1, Attributes.linkDate), "mm/dd/yyyy")#&amp;view=list" title="#DateFormat(DateAdd("m", 1, Attributes.linkDate), "mmm yyyy")#">&gt;&gt;</a></td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<td class="#attributes.eventDayNameClass#">Su</td>
	<td class="#attributes.eventDayNameClass#">Mo</td>
	<td class="#attributes.eventDayNameClass#">Tu</td>
	<td class="#attributes.eventDayNameClass#">We</td>
	<td class="#attributes.eventDayNameClass#">Th</td>
	<td class="#attributes.eventDayNameClass#">Fr</td>
	<td class="#attributes.eventDayNameClass#">Sa</td>
</tr>
</cfoutput>
<cfloop index="LoopWeek" from="#FirstWeekOfMonth#" to="#LastWeekOfMonth#">
<tr>
	<cfloop index="LoopIndex" from="0" to="6">
	<cfset EventExists = 0 />
	<td class="<cfoutput>#attributes.eventDayHeaderClass#</cfoutput>">
	<cfsilent>
	<cfloop index="i" from="1" to="#ArrayLen(attributes.eventRecords)#">
		<cfif CreateODBCDate(eventRecords[i].StartDate) lte CreateODBCDate(DateAdd('d', LoopIndex, FirstDateOfWeek))>
			<cfif CreateODBCDate(eventRecords[i].EndDate) gte CreateODBCDate(DateAdd('d', LoopIndex, FirstDateOfWeek))>
				<cfset EventExists = 1 />
			</cfif>
		</cfif>
	</cfloop>
	</cfsilent>
	<cfoutput>
	<cfset thisDay = DateAdd('d', LoopIndex, FirstDateOfWeek) />
	<cfif Month(DateAdd('d', LoopIndex, FirstDateOfWeek)) eq Month(Attributes.LinkDate)><cfif EventExists><div class="#attributes.miniCalendarDayClass#"><a href="###Day(thisDay)#" class="calendardates2">#Day(thisDay)#</a></div><cfelse>#Day(DateAdd('d', LoopIndex, FirstDateOfWeek))#</cfif></cfif></cfoutput></td>
	</cfloop>
</tr>
<cfset FirstDateOfWeek = CreateODBCDate(DateAdd('d', 7, FirstDateOfWeek)) />
</cfloop>
</table><br />
<cfform method="post" action="#cgi.SCRIPT_NAME#" id="viewchange" class="allForms">
<div><input type="hidden" name="LinkDate" value="<cfoutput>#attributes.LinkDate#</cfoutput>" id="LinkDate" />
<input type="hidden" name="categoryID" value="<cfoutput>#attributes.categoryID#</cfoutput>" />
<select name="view" class="<cfoutput>#attributes.calendarSelectBoxesClass#</cfoutput>" onchange="document.getElementById('viewchange').submit();">
	<option value="day">day</option>
	<option value="week">week</option>
	<option value="weeklist">week list</option>
	<option value="month">month</option>
	<option value="list" selected="selected">condensed</option>
</select></div>
</cfform>
<cfform method="post" action="#cgi.script_name#" id="categoryChange" class="allForms">
<div><input type="hidden" name="linkdate" value="<cfoutput>#attributes.linkdate#</cfoutput>" id="linkdate" />
<input type="hidden" name="view" value="<cfoutput>#attributes.view#</cfoutput>" />
<select name="categoryID" class="<cfoutput>#attributes.calendarselectboxesclass#</cfoutput>" onchange="document.getElementById('categoryChange').submit();">
	<cfoutput query="categoriesRS">
	<option value="#categoryID#"<cfif attributes.categoryID eq categoryID> selected</cfif>>#left(categoryName, 25)#</option>
	</cfoutput>
	<option value="0"<cfif attributes.categoryID eq 0> selected</cfif>>all</option>	
</select></div></cfform>
<cfif Len(Trim(Attributes.UnderMiniCalendarIncludePath))><br />
	<cfinclude template="#Attributes.UnderMiniCalendarIncludePath#" />
</cfif>
</td>
<td style="width: 10px"></td>
<td style="vertical-align: top;">
	<cfif ArrayLen(attributes.eventRecords) neq 0>
	<table class="condensedList">
	<cfloop index="i" from="1" to="#ArrayLen(attributes.eventRecords)#">
	<cfif Month(eventRecords[i].StartDate) eq Month(Attributes.LinkDate) OR Month(eventRecords[i].EndDate) eq Month(Attributes.LinkDate)>
	<cfoutput>
	<tr class="#attributes.eventListDisplayClass#"<cfif application.categoryColors AND Len(Trim(eventRecords[i].CategoryBGColor))> style="background-color: ###eventRecords[i].CategoryBGColor#;"</cfif>>
		<td style="width: 100px;">#DateFormat(eventRecords[i].StartDate, "mmm dd")#<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate> - #DateFormat(eventRecords[i].EndDate, "mmm dd")#</cfif></td>
		<td><a href="###eventRecords[i].EventID#-id"<cfif application.categoryColors AND Len(Trim(eventRecords[i].CategoryTextColor))> style="color: ###eventRecords[i].CategoryTextColor#;"</cfif>>#eventRecords[i].Title#</a></td>
	</tr>
	</cfoutput>
	<tr>
	   <td colspan="2" class="condensedListSeperator">&nbsp;</td>
	</tr>
	</cfif>
	</cfloop>
	</table>
	</cfif>
	</td>
</tr>
</table>
<cfif attributes.includeDetailsUnderMiniCalendar>
<p />
<cfif ArrayLen(attributes.eventRecords) neq 0>
<div id="miniCalendarDetails" class="clearfix">
<table id="miniCalendarDetailTable" class="clearfix">
<!--- Display Individual Events --->
<cfloop index="i" from="1" to="#ArrayLen(attributes.eventRecords)#">
	<cfif Month(eventRecords[i].StartDate) eq Month(Attributes.LinkDate) OR Month(eventRecords[i].EndDate) eq Month(Attributes.LinkDate)>
	<cfoutput>
	<tr>
		 <td valign="top"><a id="evid-#eventRecords[i].EventID#" style="display: none;"></a>
		<a id="#eventRecords[i].EventID#-id"></a>#DateFormat(eventRecords[i].StartDate, "dddd, mmmm dd")#<cfif len(trim(eventRecords[i].StartTime))> #TimeFormat(eventRecords[i].StartTime, 'h:mm tt')#</cfif><cfif eventRecords[i].StartDate neq eventRecords[i].EndDate> - #DateFormat(eventRecords[i].EndDate, "dddd, mmmm dd")#</cfif><cfif len(trim(eventRecords[i].EndTime))><cfif NOT len(trim(eventRecords[i].EndDate))>-</cfif> #TimeFormat(eventRecords[i].EndTime, 'h:mm tt')#</cfif><br />
		<span class="#attributes.miniCalendarEventDisplayHeaderClass#">#eventRecords[i].Title#</span><br />
		#eventRecords[i].Location#
		<p />
		#eventRecords[i].Description#
		<p />
		<cfif Len(Trim(eventRecords[i].ContactPhone))>For more information, call #eventRecords[i].ContactPhone#.<br /></cfif>
		<cfif Len(Trim(eventRecords[i].ContactEmail))>Email: <a href="mailto:#eventRecords[i].ContactEmail#">#eventRecords[i].ContactEmail#</a>.</cfif>
		<p />
		<div  style="text-align: center;"><a href="##top">Back to top</a></div>
		<div style="display:none;" class="vevent">
	<span class="dtstamp">#DateFormat(Now(), "yyyy-mm-dd")#T#TimeFormat(Now(), "HH:mm:ss")#</span>
		<span class="summary title">#Trim(eventRecords[i].Title)#</span>
		<a href="http://#cgi.server_name#/#attributes.calendarLinkPage#?#eventRecords[i].EventIDLabel#=#eventRecords[i].EventID#&amp;View=#attributes.View#&amp;linkDate=#UrlEncodedFormat(Attributes.linkDate)#<cfif len(attributes.urlAddString)>#attributes.urlAddString#</cfif>" class="url">Event Link</a>
		<div class="description">#eventRecords[i].Description#</div>
		<span class="dtstart" title="#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#<cfif Len(Trim(eventRecords[i].StartTime))>T#TimeFormat(eventRecords[i].StartTime, "HH:mm:ss")#</cfif>">#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#<cfif Len(Trim(eventRecords[i].StartTime))>T#TimeFormat(eventRecords[i].StartTime, "HH:mm:ss")#</cfif></span>
		<cfif eventRecords[i].StartDate neq eventRecords[i].EndDate AND eventRecords[i].StartTime neq eventRecords[i].EndTime><span class="dtend" title="<cfif eventRecords[i].EndDate neq eventRecords[i].StartDate>#DateFormat(eventRecords[i].EndDate, "yyyy-mm-dd")#<cfelse>#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#</cfif><cfif Len(Trim(eventRecords[i].EndTime))>T#TimeFormat(eventRecords[i].EndTime, "HH:mm:ss")#</cfif>"><cfif eventRecords[i].EndDate neq eventRecords[i].StartDate>#DateFormat(eventRecords[i].EndDate, "yyyy-mm-dd")#<cfelse>#DateFormat(eventRecords[i].StartDate, "yyyy-mm-dd")#</cfif><cfif Len(Trim(eventRecords[i].EndTime))>T#TimeFormat(eventRecords[i].EndTime, "HH:mm:ss")#</cfif></span></cfif></div>
		</td>
	</tr></cfoutput></cfif></cfloop></table></div></cfif></cfif>
	</cfcase>
</cfswitch>
<script type="text/javascript" src="<cfoutput>#application.javascriptPath#</cfoutput>eventhover.js"></script>