	<cfcase value="displayCalendar">
		<cfsilent>
		<!--- default view to large month format. Acceptable types: month, week, list (mini calendar) --->
		<cfparam name="view" default="month" type="string" />
		<cfparam name="LinkDate" default="" />
		<cfparam name="categoryID" default="0" type="numeric" />
		
		<!--- ERROR PREVENTION: prevents errors by intentional munging of the URL --->
		<cfif StructKeyExists(url, "view")>
			<cfset variables.view = url.view />
		</cfif>
		<cfif StructKeyExists(form, "view")>
			<cfset variables.view = form.view />
		</cfif>
		
		<cfif NOT ListFindNoCase('day,weeklist,list,month,week,rss',variables.view)>
			<cfset view = "list" />
		</cfif>
		
		<cfif StructKeyExists(url, "linkDate")>
			<cfset variables.LinkDate = url.LinkDate />
		</cfif>
		<cfif StructKeyExists(form, "linkDate")>
			<cfset variables.LinkDate = form.LinkDate />
		</cfif>

		<cfif StructKeyExists(url, "categoryID")>
			<cfset variables.categoryID = url.categoryID />
		</cfif>
		<cfif StructKeyExists(form, "categoryID")>
			<cfset variables.categoryID = form.categoryID />
		</cfif>
		
		<!--- ERROR PREVENTION: prevents errors by intentional munging of the URL --->
		<cfif NOT ListFindNoCase('day,weeklist,month,week',view)>
			<cfset view = "list" />
		</cfif>
		
		<cfif NOT isDate(LinkDate)>
			<cfset LinkDate = DateFormat(Now(), 'mmmm d, yyyy') />
		</cfif>
		<!--- ERROR PREVENTION: End --->
		
		<!--- instantiate object for Kalendar data --->
		<cfinvoke component="#application.CFCPath#kalendar" method="getCalendar" returnvariable="returnedEvents">
			<cfif NOT Compare(variables.view,"list")>
				<cfinvokeargument name="view" value="month" />
			<cfelseif NOT Compare(variables.view,"weeklist")>
				<cfinvokeargument name="view" value="week" />
			<cfelse>
				<cfinvokeargument name="view" value="#variables.view#" />
			</cfif>
			<cfinvokeargument name="timeHeaderClass" value="timeHeader" />
			<cfinvokeargument name="LinkDate" value="#CreateODBCDate(variables.LinkDate)#" />
			<cfinvokeargument name="PublicOnly" value="0" />
			<cfinvokeargument name="PublicOnly" value="0" />
			<cfif variables.categoryID neq 0>
				<cfinvokeargument name="categoryID" value="#variables.categoryID#" />
			</cfif>
		</cfinvoke>
		</cfsilent>
		<cfinclude template="display_records.cfm" />
		</cfcase>
		
<!--- display records --->
<!---

Kalendar Admin

COPYRIGHT & LICENSING INFO
-------------------------------------------------------------------

Copyright 2006 TJ Downes - tdownes@sanative.net - http://www.sanative.net

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

--->
<cfmodule template="#application.kalendarURLPath#common/tags/kalendar.cfm"
		view="#variables.view#"
		eventrecords="#variables.returnedEvents#"
		linkdate="#variables.LinkDate#"
		categoryid="#variables.categoryID#"
		excludetimeheader="no"
		eventdisplayclass="eventDisplay"
		eventlistdisplayclass="eventListItem"
		timeheaderclass="timeHeader"
		eventdayclass="eventDay"
		eventdayheaderclass="eventDayHeader"
		eventdaynameclass="eventDayName"
		calendartableclass="calendarTable"
		calendarselectboxesclass="calendarSelectBoxes"
		calendarnavclass="calendarNav"
		calendarnavtableclass="calendarNavTable"
		calendartitleclass="calendarTitle"
		calendartooltipclass="calendarTooltip"
		calendartooltipsubclass="calendarTooltipSub"
		tooltipsublength="50"
		calendarbuttons="calendarButtons"
		maxdescriptionsize="150"
		calendarlinkpage="index.cfm"
		urlAddString="&amp;appAction=editRecord"
		includedetailsunderminicalendar="1"
		minicalendarnavclass="miniCalendarNav"
		minicalendartableclass="miniCalendarTable"
		minicalendardayclass="miniCalendarDayClass"
		minicalendareventdisplayheaderclass="miniCalendarEventDisplayHeader"
		minicalendareventdisplayclass="miniCalendarEventDisplay"
		minicalendardetailsincludepath="common/includes/inc_underminicalendar.cfm">