<cfsilent>
	<!--- Load LightWire --->
	<cfset LightWire = createobject("component", "Kalendar.common.cfc.LightWire" ).init( createobject("component", "Kalendar.common.cfc.config.LightWireConfig" ).init("common\cfc\config\settings.ini.cfm") ) >
	<cfset KalendarConfig = LightWire.getTransient("KalendarConfig") />
	<!--- Stuff the KalendarRequest object with the input parameters --->
	<cfset KalendarRequest = LightWire.getTransient("KalendarRequest").init( argumentcollection=LightWire.getTransient("KalendarService").loadInput( URL, Form ) )  />
</cfsilent>
<!--- Was this an rss request, then deal with it quickly and cleanly --->
<cfif KalendarRequest.getView() IS "rss" >
<cfcontent type="text/xml" reset="true"><cfoutput>#KalendarRequest.getReturnedEventsXML()#</cfoutput>
	<cfsetting showdebugoutput="no" />
	<cfabort />
</cfif>

<!--- Must be an HTML request --->
<cfcontent reset="true"><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title><cfoutput>#KalendarConfig.getAppTitle()#</cfoutput></title>
	<link href="<cfoutput>#KalendarConfig.getCSSPath()#</cfoutput>kalendar.css" rel="stylesheet" type="text/css" />
	<link rel="alternate" type="application/rss+xml" title="Kalendar of Events for <cfoutput>#KalendarRequest.getLongLinkDate()#</cfoutput>" href="http://<cfoutput>#cgi.server_name##cgi.script_name#?view=rss</cfoutput>" />
</head>
<body>
<div class="clearfix" style="width:750px; margin-left: auto; margin-right: auto; margin-bottom: 25px;">
	<div style="float:left; text-align:left; width:300px;"><a href="<cfoutput>#KalendarConfig.getKalendarAdminPath()#</cfoutput>">admin</a>&nbsp;&middot;&nbsp;<a href="http://kalendar.riaforge.org/">download</a>&nbsp;&middot;&nbsp;<a href="http://kalendar.sanative.net/README.txt">README</a>&nbsp;&middot;&nbsp;<a href="http://kalendar.sanative.net/HISTORY.txt">HISTORY</a></div>
	<div style="float:right; width:25px; text-align:right; width:25px;"><a href="http://<cfoutput>#cgi.server_name##cgi.script_name#?view=rss</cfoutput>"><img src="<cfoutput>#KalendarConfig.getImagePath()#</cfoutput>rssfeed16x16.gif" alt="RSS" /></a></div>
</div>
<div style="margin-left: auto; margin-right: auto; width:750px;">
<!--- Load the proper view --->
<cfmodule template="#KalendarConfig.getCustomTagPath()#kalendar.cfm"
		CalendarLinkPage="eventdetails.cfm"
		ExcludeTimeHeader="no"
		KalendarRequest="#KalendarRequest#"
		View="#KalendarRequest.getView()#">
version: <cfoutput>#KalendarConfig.getKalendarBuildNumber()#</cfoutput>
</div>
</body>
</html>